test: EM_form_struct struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# EM_form_struct Struct Reference

`#include <fetypes.h>`

List of all members.

## Public Attributes

EM_boolean_t | advanced_form
EM_boolean_t | clear_form
EM_boolean_t | double_form
EM_boolean_t | exponent_form
EM_boolean_t | fp82_floating_form
EM_boolean_t | fcheck_branch_implemented
EM_boolean_t | general_form
EM_boolean_t | data_form
EM_boolean_t | control_form
EM_boolean_t | high_form
EM_boolean_t | high_unsigned_form
EM_boolean_t | low_form
EM_boolean_t | mix_l_form
EM_boolean_t | mix_r_form
EM_boolean_t | mix_lr_form
EM_boolean_t | neg_sign_form
EM_boolean_t | no_clear_form
EM_boolean_t | pack_form
EM_boolean_t | no_base_update_form
EM_boolean_t | immediate_base_update_form
EM_boolean_t | register_base_update_form
EM_boolean_t | sign_form
EM_boolean_t | sign_exp_form
EM_boolean_t | signed_form
EM_boolean_t | significand_form
EM_boolean_t | single_form
EM_boolean_t | spill_form
EM_boolean_t | swap_form
EM_boolean_t | swap_nl_form
EM_boolean_t | swap_nr_form
EM_boolean_t | sxt_l_form
EM_boolean_t | sxt_r_form
EM_boolean_t | trunc_form
EM_boolean_t | unsigned_form

## Member Data Documentation

EM_boolean_t EM_form_struct::advanced_form

| Definition at line 810 of file fetypes.h.

EM_boolean_t EM_form_struct::clear_form

| Definition at line 811 of file fetypes.h.

EM_boolean_t EM_form_struct::control_form

| Definition at line 819 of file fetypes.h.

EM_boolean_t EM_form_struct::data_form

| Definition at line 818 of file fetypes.h.

EM_boolean_t EM_form_struct::double_form

| Definition at line 812 of file fetypes.h.

EM_boolean_t EM_form_struct::exponent_form

| Definition at line 813 of file fetypes.h.

EM_boolean_t EM_form_struct::fcheck_branch_implemented

| Definition at line 816 of file fetypes.h.

EM_boolean_t EM_form_struct::fp82_floating_form

| Definition at line 815 of file fetypes.h.

EM_boolean_t EM_form_struct::general_form

| Definition at line 817 of file fetypes.h.

EM_boolean_t EM_form_struct::high_form

| Definition at line 820 of file fetypes.h.

EM_boolean_t EM_form_struct::high_unsigned_form

| Definition at line 821 of file fetypes.h.

EM_boolean_t EM_form_struct::immediate_base_update_form

| Definition at line 833 of file fetypes.h.

EM_boolean_t EM_form_struct::low_form

| Definition at line 823 of file fetypes.h.

EM_boolean_t EM_form_struct::mix_l_form

| Definition at line 824 of file fetypes.h.

EM_boolean_t EM_form_struct::mix_lr_form

| Definition at line 826 of file fetypes.h.

EM_boolean_t EM_form_struct::mix_r_form

| Definition at line 825 of file fetypes.h.

EM_boolean_t EM_form_struct::neg_sign_form

| Definition at line 828 of file fetypes.h.

EM_boolean_t EM_form_struct::no_base_update_form

| Definition at line 832 of file fetypes.h.

EM_boolean_t EM_form_struct::no_clear_form

| Definition at line 829 of file fetypes.h.

EM_boolean_t EM_form_struct::pack_form

| Definition at line 830 of file fetypes.h.

EM_boolean_t EM_form_struct::register_base_update_form

| Definition at line 834 of file fetypes.h.

EM_boolean_t EM_form_struct::sign_exp_form

| Definition at line 837 of file fetypes.h.

EM_boolean_t EM_form_struct::sign_form

| Definition at line 836 of file fetypes.h.

EM_boolean_t EM_form_struct::signed_form

| Definition at line 838 of file fetypes.h.

EM_boolean_t EM_form_struct::significand_form

| Definition at line 839 of file fetypes.h.

EM_boolean_t EM_form_struct::single_form

| Definition at line 840 of file fetypes.h.

EM_boolean_t EM_form_struct::spill_form

| Definition at line 841 of file fetypes.h.

EM_boolean_t EM_form_struct::swap_form

| Definition at line 842 of file fetypes.h.

EM_boolean_t EM_form_struct::swap_nl_form

| Definition at line 843 of file fetypes.h.

EM_boolean_t EM_form_struct::swap_nr_form

| Definition at line 844 of file fetypes.h.

EM_boolean_t EM_form_struct::sxt_l_form

| Definition at line 845 of file fetypes.h.

EM_boolean_t EM_form_struct::sxt_r_form

| Definition at line 846 of file fetypes.h.

EM_boolean_t EM_form_struct::trunc_form

| Definition at line 848 of file fetypes.h.

EM_boolean_t EM_form_struct::unsigned_form

| Definition at line 849 of file fetypes.h.

The documentation for this struct was generated from the following file:

- fetypes.h